<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.temDuizhao.mapper.TemDuizhaoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="temDuizhaoResultMap" type="org.springblade.modules.temDuizhao.entity.TemDuizhaoEntity">
        <result column="id" property="id"/>
        <result column="source_jh" property="sourceJh"/>
        <result column="target_jh" property="targetJh"/>
        <result column="create_time" property="createTime"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>


    <select id="selectTemDuizhaoPage" resultMap="temDuizhaoResultMap">
        select * from rhzf_tem_duizhao where is_deleted = 0
        <if test="params.account == '107727'">
            and create_user = 1728291793022685185
        </if>
    </select>


    <select id="exportTemDuizhao" resultType="org.springblade.modules.temDuizhao.excel.TemDuizhaoExcel">
        SELECT * FROM rhzf_tem_duizhao ${ew.customSqlSegment}
    </select>

</mapper>
